.grade-tags {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
    margin-top: 10px;
}

    .grade-tags a,
    .grade-tags span {
        background-color: #0072BC;
        color: white;
        padding: 0px 4px;
        font-size: 14px;
        text-decoration: none;
        border-radius: 4px;
        white-space: nowrap;
    }

        .grade-tags a:hover {
            background-color: #005a95;
        }


.pdf-preview-container {
    margin-top: 20px;
    padding: 12px;
    border: 1px solid #ccc;
    background: #fefefe;
    border-radius: 5px;
}
.pointValue {
    font-weight: 300;
    color: #036DB1;
    font-size: 12Px;

}

.pdf-link-wrapper {
    display: flex;
    align-items: center;
    gap: 8px;
}

.view-pdf-link {
    text-decoration: none;
    font-weight: 500;
    color: #036db1;
}

    .view-pdf-link:hover {
        text-decoration: underline;
        color: #0056b3;
    }

    .view-pdf-link.disabled {
        pointer-events: none;
        color: gray;
        text-decoration: none;
        cursor: default;
    }



.boltBtn.active {
    background-color: #036db1;
}
.error-msg {
    font-size: 12px;
    color: red;
    margin-top: 5px;
    display: block;
}
.required{
    color:red;
}

.boltBtn:hover,
.calcuBtn:hover {
    background-color: #036db1;
}
.resBtn:hover {
    background-color: #555555;
}

.fa-trash {
    color: red;
}

#printBtn i {
    font-size: 18px;
}


.calMn {

    display: flex;
    max-width: 100%;
    gap: 20px;
    margin-bottom: 50px;
    padding-top: 5px;
}

    .calMn h3 {
        color: #333;
        font-size: 20px;
    }

.calLft {
    display: flex;
    flex-direction: column;
    gap: 8px;
    width: 60%;
}

.tabMn {
    background-color: #F6F6F6;
    border: 2px solid #DDDDDD;
}

.tabWrap {
    display: flex;
    max-width: 100%;
    justify-content: space-between;
}

.prImgWrp {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px 0;
    gap: 30px;
    background-color: #FFFFFF;
    border: 2px solid #DDDDDD;
}



    .proText h2 {
        font-size: 24px;
        font-weight: 600;
        margin: 0;
        color: #222;
    }

    .proText .spec {
 /*       margin-top: 8px;*/
        font-size: 16px;
        color: #555;
    }

.calTab {
    font-size: 18px;
    height: 40px;
    width: 34%;
    font-weight: 600;
    line-height: 27px;
    padding: 4px;
    cursor: pointer;
    border-right: 1px solid #939393;
    height: 38px;
    text-align: center;
    background-color: #D9D9D9;
}

    .calTab a {
        color: #1066A3 !important;
        text-decoration: underline;
    }

        .calTab a:hover {
            text-decoration: none;
        }

    .calTab:last-child {
        border-right: unset;
    }

    .calTab.active {
        color: #1066A3;
        border-bottom: 1px solid transparent;
        background-color: #F6F6F6;
    }

.calRyt {
    width: 40%;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.tabCon {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 30px 20px;
    gap: 10px;
}

.prImgWrp img {
    max-width: 100%;
    object-fit: contain;
}

.prImgWrp h2 {
    font-size: 32px;
    color: #000;
}

.boltBtn {
    font-size: 14px;
    padding: 10px 15px;
    background: #F1BA2C;
    color: white;
    border: none;
    border-radius: 30px;
    cursor: pointer;
}

.dimSec {
    display: flex;
    flex-direction: column;
    gap: 20px;
    background-color: #fff;
    margin-top: 40px;
}




.dimsTp {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}

    .dimsTp h3 {
        color: #333;
        font-size: 20px;
        line-height:100%;
    }

.swiTch {
    display: flex;
    align-items: center;
    gap: 40px;
    margin-bottom: 30px;
}

.tranBtn {
    justify-content: flex-end;
    margin-bottom: unset !important;
}

.checkbox {
    width: 194px;
    background-color: #d0d0d0;
    border-radius: 30px;
    position: relative;
    color: #000;
    overflow: hidden;
    z-index: 1;
}

    .checkbox .slide {
        width: 196px;
        height: 36px;
        top: 66px;
        display: flex;
        align-items: center;
        justify-content: space-around;
        cursor: pointer;
    }

    .checkbox .toggle {
        width: 47%;
        height: 30px;
        position: absolute;
        border-radius: 30px;
        left: 4px;
        bottom: 2.5px;
        cursor: pointer;
        background: #000;
        transition: 0.4s;
        box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    }

    .checkbox .slide label:nth-child(2) {
        color: #000;
    }

    .checkbox .slide .text {
        font-size: 16px;
        width: 50%;
        font-weight: 600;
        text-align: center;
        z-index: 100;
        cursor: pointer;
    }

    .checkbox .slide .text {
        font-size: 16px;
        width: 50%;
        font-weight: 600;
        text-align: center;
        z-index: 100;
        cursor: pointer;
    }

        .checkbox .slide .text.active {
            color: #EEEEEE;
        }

.dimsBtm {
    max-width: 100%;
    padding: 20px;
    display: flex;
    gap: 12px;
    background-color: #F6F6F6;
}

.inputGrp {
    width: 33%;
    display: flex;
    flex-direction: column;
    flex: 1;
}

    .inputGrp label {
        font-size: 15px;
        font-weight: 600;
        margin-bottom: 5px;
        color: #000000;
    }

    .inputGrp input {
        padding: 8px 12px;
        border-radius: 5px;
        border: 1px solid #DEDEDE;
        font-size: 14px;
    }

.quanSec {
    margin-top: 20px;
}

    .quanSec h3 {
        color: #333;
        font-size: 20px;
    }

.calBtns {
    margin-bottom: 20px;
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    justify-content: center;
  /*  padding-top: 40px;*/
    padding-bottom: 16px;
}


.calcuBtn, .resBtn {
    font-size: 14px;
    line-height: 27px;
    background: #F1BA2C;
    width: 140px;
    height: 41px;
    color: #fff;
    /*  border: 1px solid #1066A3;*/
    cursor: pointer;
    border-radius: 50px;
    font-weight: bold;
}

.resBtn {
    background: #2E2E2E;
    border: 1px solid #2E2E2E;
}

.calculation-history h2 {
    font-size: 20px;
    margin-bottom: 20px;
}


table {
    width: 100%;
    border-collapse: collapse;
    background: white;
}

thead {
    background-color: #f1f1f1;
}

th, td {
    padding: 12px 10px;
    text-align: left;
    border-bottom: 1px solid #ddd;
    border-right: 1px solid #ddd;
    font-size: 15px;
    line-height: 135%;
    color: #000;
}

th {
    color: #000;
    font-weight: 600;
    border-top: 1px solid #ddd;
}

strong {
    color: #000;
}

th:first-child {
    border-left: 1px solid #ddd;
}

td:first-child {
    border-left: 1px solid #ddd;
}

.total-weight {
    padding: 14px;
    text-align: right;
    font-size: 16px;
    font-weight: bold;
}
td.weight-val {
    color: #1066A3;
}

.calculation-history > div:nth-child(2) {
    background-color: #F1F1F1;
}

.calculation-history h3 {
    color: #333;
    font-size: 20px;
    margin-bottom: 20px;
}

/*.table-container {
    overflow-x: auto;
    width: 100%;
}*/

.table-container {
    overflow-x: auto;
    overflow-y: auto; /* Enable vertical scrolling */
    max-height: 300px; /* Set maximum height */
    width: 100%;
    border: 1px solid #ccc;
    border-radius: 4px;
    background: white;
}

    .table-container thead th {
        position: sticky;
        top: 0;
        background-color: #f1f1f1;
        z-index: 2;
        border-top:none;
    }

    .table-container button {
        background: none;
        border: none;
        -webkit-appearance: none;
        appearance: none;
        padding: 0;
        cursor: pointer;
    }

.calculation-history th:last-child {
    text-align: center;
}

.calculation-history td:last-child {
    text-align: center;
}

.allConts {
    max-height: 0;
    opacity: 0;
    transform: translateY(10px);
    overflow: hidden;
    pointer-events: none;
    transition: max-height 0.7s cubic-bezier(.4,0,.2,1), opacity 0.5s cubic-bezier(.4,0,.2,1), transform 0.6s cubic-bezier(.4,0,.2,1);
}

    .allConts.active {
        max-height: 1000px; 
        opacity: 1;
        transform: translateY(0);
        pointer-events: auto;
        transition: max-height 0.7s cubic-bezier(.4,0,.2,1), opacity 0.5s cubic-bezier(.4,0,.2,1), transform 0.6s cubic-bezier(.4,0,.2,1);
    }



@media all and (max-width:1024px) {
    th, td {
        padding: 10px 5px;
        font-size: 15px;
    }
}

@media all and (max-width:992px) {
    .calMn {
        display: flex;
        flex-direction: column-reverse;
        gap: 35px;
    }

    .calRyt, .calLft {
        width: 100%;
    }

    .calRyt {
        display: block;
    }

    .checkbox .toggle {
        width: 47%;
        height: 32px;
        left: 3px;
    }
}

@media all and (max-width:768px) {
    .inputGrp {
        width: 29%;
    }
}

@media all and (max-width:500px) {
    .dimsBtm {
        flex-direction: column;
        align-items: center;
    }

    .inputGrp {
        width: 100%;
    }
    .table-container {
        display: block;
        overflow-x: scroll;
        -webkit-overflow-scrolling: touch;
    }

        .table-container table {
            min-width: 600px;
            margin-bottom: 10px;
        }

    .total-weight {
        padding: unset;
        padding-bottom: 10px;
        padding-right: 10px;
        padding-left: 10px;
    }

    .boltBtn {
        font-size: 10px;
        padding: 7px 11px;
    }

    .tabCon {
        padding: 30px 11px;
    }

    .prImgWrp {
        gap: 17px
    }

        .prImgWrp img {
            width: 127px;
        }

        .prImgWrp h2 {
            font-size: 25px;
        }

    .dimsTp {
        display: flex;
        flex-direction: column;
        gap: 20px;
        justify-content: unset;
        align-items: unset;
    }

    .tranBtn {
        justify-content: unset;
    }

    .dimSec {
        gap: 25px;
    }

    .calBtns {
        padding-top: 25px;
    }
}

@media all and (max-width:376px) {
    .prImgWrp img {
        width: 85px;
    }

    .prImgWrp h2 {
        font-size: 18px;
    }

    .checkbox .slide .text {
        font-size: 13px;
    }

    .checkbox .slide {
        width: 196px;
        height: 38px;
    }

    .calMn {
        gap: 22px;
    }

        .calMn h3 {
            font-size: 18px;
        }

    .dimSec {
        margin-top: 15px;
        margin-bottom: 20px;
    }

    .quanSec {
        margin-top: unset;
    }

    .calBtns {
        margin-bottom: 4px;
    }

    .calcuBtn, .resBtn {
        font-size: 12px;
        width: 102px;
        height: 32px;
    }

    .total-weight {
        font-size: 12px;
    }
}


